import { Bar } from 'cli-progress';
import { ReporterOptionParams } from 'types';
import { Reporter, FullConfig, Suite, TestCase, TestResult, FullResult } from '@playwright/test/reporter';
import * as _playwright_test from '@playwright/test';

interface LighthouseReportMetadata {
    formats: {
        html: true;
    };
    name: string;
    directory: string;
    pathToLightHouseHTMLReport: string;
}
declare const test: _playwright_test.TestType<_playwright_test.PlaywrightTestArgs & _playwright_test.PlaywrightTestOptions & {
    attachLighthouseReport: (pathToLightHouseHTMLReport: string) => Promise<void>;
    generateLighthouseMetaData: () => LighthouseReportMetadata;
}, _playwright_test.PlaywrightWorkerArgs & _playwright_test.PlaywrightWorkerOptions>;

declare class NeetoPlaywrightReporter implements Reporter {
    attempts: Record<string, Record<string, string>> | Record<string, never>;
    ciBuildId: string;
    config: FullConfig | undefined;
    currentShard: number;
    testResultCalls: Promise<unknown>[];
    totalTestCount: number;
    tags: string[] | string;
    unreportedAttemptCount: number;
    hasRunStarted: boolean;
    heartbeatInterval: NodeJS.Timeout | null;
    rootDir: string;
    progressBars: (Bar | void)[];
    startedAttempts: Set<string>;
    shouldNotReportTest: boolean;
    apiKey: string;
    constructor(options: ReporterOptionParams);
    onBegin: (config: FullConfig, rootSuite: Suite) => Promise<void>;
    onTestBegin: (test: TestCase, result: TestResult) => Promise<void>;
    onTestEnd: (testCase: TestCase, testResult: TestResult) => Promise<void>;
    onEnd: (fullResult: FullResult) => Promise<void>;
    onStdOut(chunk: string | Buffer, test: void | TestCase): void;
}

export { NeetoPlaywrightReporter as default, test };
